/**
 * <copyright>
 * </copyright>
 *
 * $Id: MachineValidator.java,v 1.1 2008-04-01 09:35:30 vmahe Exp $
 */
package orgomg.cwm.foundation.softwaredeployment.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.foundation.softwaredeployment.DeployedComponent;
import orgomg.cwm.foundation.softwaredeployment.Site;

/**
 * A sample validator interface for {@link orgomg.cwm.foundation.softwaredeployment.Machine}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface MachineValidator {
	boolean validate();

	boolean validateIpAddress(String value);
	boolean validateHostName(String value);
	boolean validateMachineID(String value);
	boolean validateDeployedComponent(EList<DeployedComponent> value);
	boolean validateSite(Site value);
}
